/////////////////////////////////////////////////////////////////////////////////////////	

$(function()
{	 
	 setTimeout(function(){fixDivSizes();}, 150);
	 $(window).bind('resize', function() {fixDivSizes(); setTimeout(function(){fixDivSizes();}, 150);}).trigger('resize');
	
	if($('#chart-area').length) {
		var ctx = document.getElementById('chart-area').getContext('2d');
		window.myDoughnut = new Chart(ctx, dashboard_chart_config);
	}
	
	$('#logo').attr("src", header_logo_image);
	$('#biglogo').attr("src", header_logo_big_image);
	
	setTableFontSize(getCookieInt("table-font-size", DEFAULT_TABLE_FONT_SIZE));
	
	$('.detailsbox h4').wrapInner("<span></span>");
	
	$('body').show();
});

function fixDivSizes()
{
	var wd = $(window).width();
	var ht = $('#menucontrol').height();
	
	if(wd <= 767) {
		$('#menucontrol').css('width', 'auto');
		$('#dashboard').css('width', wd);
		$('#content').css('padding-left', 0);
		
		$('#menucontrol .btn').removeClass('btn-block');
	}
	else if(wd <= 991) {
		$('#menucontrol').css('width', 248);
		$('#dashboard').css('width', 'auto');
		$('#content').css('padding-left', 248+20);
		$('#dashboard').css('height', ht+20);
		$('.detailsbox').css('height', ht-$('.data-header').height()-$('.data-footer').height()-20);
		$('#menucontrol .btn').addClass('btn-block');
	}
	else {
		$('#menucontrol').css('width', 320);
		$('#content').css('padding-left', 320+20);
		$('#dashboard').css('width', 'auto');
		$('#dashboard').css('height', ht+20);
		$('.detailsbox').css('height', ht-$('.data-header').height()-$('.data-footer').height()-20);
		$('#menucontrol .btn').addClass('btn-block');
	}
}
